=== debian/changelog ===
libgnt-ocaml (1.0.0-2) UNRELEASED; urgency=low

  * Remove dependency on xen-missing-headers

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

libgnt-ocaml (1.0.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@citrix.com>  Sat, 26 Apr 2014 12:00:00 +0000
