=== debian/control ===
Source: libgnt-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 blktap-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libio-page-ocaml-dev,
 camlp4,
 python,
 debhelper (>= 8),
 qemu-system-x86,
 blktap-utils,
 camlp4-extra,
 ocaml-native-compilers,
 libcstruct-ocaml-dev,
 liblwt-ocaml-dev,
 ocaml-findlib,
 libcmdliner-ocaml-dev,
 libxen-dev

Package: libgnt-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-nox,
 ocaml-native-compilers,
 ocaml-findlib
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml bindings for userspace Xen grant table controls
 These APIs allow programs running in userspace to share memory with
 other domains on the same host. This can be used to (for example)
 implement disk or network backends.

Package: libgnt-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libgnt-ocaml (>= 1.0.0-2),
 libio-page-ocaml-dev,
 libxen-dev,
 blktap-dev,
 qemu-system-x86,
 blktap-utils
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-gnt
 The ocaml-gnt-devel package contains libraries and signature files
 for developing applications that use ocaml-gnt.
